<template>
  <div class="detail container">
    <div class="d-flex flex-grow-1 flex-row py-4">
      <img src="@/assets/images/logo-ipma.png"/>
    </div>
    <div class="d-flex flex-grow-1 flex-column">
      <h2>Informação do local</h2>
      <table class="table text-center">
        <thead>
          <tr>
            <th scope="col">Latitude</th>
            <th scope="col">Longitude</th>
            <th scope="col">Data de atualização</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>{{ $route.params.latitude }}</td>
            <td>{{ $route.params.longitude }}</td>
            <td>{{ referenceTimeStr }}</td>
          </tr>
        </tbody>
      </table>
    </div>
    <div v-for="group in settings" :key="group.title" class="detail-plot-group d-flex flex-grow-1 flex-column">
      <h2>{{ group.title }}</h2>
      <div v-for="plot in group.plots" :key="`${group.title}-${plot.title}`" class="d-flex flex-grow-1 flex-column">
        <h4>{{ plot.title }}</h4>
        <details-plot-area
         :reference-time="referenceTime"
         :latitude="parseFloat($route.params.latitude)"
         :longitude="parseFloat($route.params.longitude)"
         :plot-variables="plot.variables"/>
      </div>
    </div>
  </div>
</template>

<script>
import moment from 'moment'
import DetailsPlotArea from '@/detail/components/DetailsPlotArea'
import settings from '@/detail/data/settings'

export default {
  name: 'detail',

  data() {
    return {}
  },

  computed: {
    referenceTime: {
      get() {
        return moment.unix(this.$route.params.datetime).unix()
      }
    },

    referenceTimeStr: {
      get() {
        return moment.unix(this.$route.params.datetime).format('YYYY-MM-DD HH:mm')
      }
    },

    settings: {
      get() {
        return settings
      }
    },
  },

  components: {
    DetailsPlotArea
  },
}
</script>
